[arch-commits] Commit in cfitsio/repos (6 files)

Antonio Rojas arojas at archlinux.org
Tue Nov 22 22:47:34 UTC 2016


    Date: Tuesday, November 22, 2016 @ 22:47:33
  Author: arojas
Revision: 281962

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  cfitsio/repos/extra-i686/PKGBUILD
    (from rev 281961, cfitsio/trunk/PKGBUILD)
  cfitsio/repos/extra-i686/cfitsio-3.400-fix-build.patch
    (from rev 281961, cfitsio/trunk/cfitsio-3.400-fix-build.patch)
  cfitsio/repos/extra-x86_64/PKGBUILD
    (from rev 281961, cfitsio/trunk/PKGBUILD)
  cfitsio/repos/extra-x86_64/cfitsio-3.400-fix-build.patch
    (from rev 281961, cfitsio/trunk/cfitsio-3.400-fix-build.patch)
Deleted:
  cfitsio/repos/extra-i686/PKGBUILD
  cfitsio/repos/extra-x86_64/PKGBUILD

--------------------------------------------+
 /PKGBUILD                                  |   94 +++++++++++++++++++++++++++
 extra-i686/PKGBUILD                        |   41 -----------
 extra-i686/cfitsio-3.400-fix-build.patch   |   38 ++++++++++
 extra-x86_64/PKGBUILD                      |   41 -----------
 extra-x86_64/cfitsio-3.400-fix-build.patch |   38 ++++++++++
 5 files changed, 170 insertions(+), 82 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2016-11-22 22:47:05 UTC (rev 281961)
+++ extra-i686/PKGBUILD	2016-11-22 22:47:33 UTC (rev 281962)
@@ -1,41 +0,0 @@
-# $Id$
-# Maintainer:
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=cfitsio
-pkgver=3.390
-pkgrel=3
-pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
-arch=(i686 x86_64)
-url="http://heasarc.gsfc.nasa.gov/fitsio/"
-license=(custom)
-depends=(glibc)
-source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
-sha512sums=('9e72fe58e1b2e45dfad23c5a60f9056a4e958b3b567751c5284d5d89992f0a2721aa44ede8655f0e1595eaea9d6ba4644b001c54274764f9d05f890d471e4534')
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr \
-    --enable-reentrant
-  make shared
-  make utils
-}
-
-check() {
-  cd $pkgname
-  LD_LIBRARY_PATH=. ./testprog > testprog.lis
-  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
-  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 License.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-# Fix conflicts with ccfits and smem
-  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
-}

Copied: cfitsio/repos/extra-i686/PKGBUILD (from rev 281961, cfitsio/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2016-11-22 22:47:33 UTC (rev 281962)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.400
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=(i686 x86_64)
+url="http://heasarc.gsfc.nasa.gov/fitsio/"
+license=(custom)
+depends=(glibc)
+source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz" cfitsio-3.400-fix-build.patch)
+sha512sums=('e54efb5c7a5a19ae354b202644cf2fcac946997bc0d14a3dc0b609af8725050604df167b4211586868a90b1d5098c1efdf167d6ce842c79b494e154544f3441a'
+            '931579603417c55922d02cdcb9aec9deb79e3aca2c36e15e697e6c371749291aec52873f7bdc188f3a4aabe849655be4172b3edbcba1c529d5bfed265f26fc38')
+
+prepare() {
+  cd $pkgname
+  patch -p1 -i ../cfitsio-3.400-fix-build.patch
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --enable-reentrant
+  make shared
+  make utils
+}
+
+check() {
+  cd $pkgname
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 License.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+# Fix conflicts with ccfits and smem
+  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
+}

Copied: cfitsio/repos/extra-i686/cfitsio-3.400-fix-build.patch (from rev 281961, cfitsio/trunk/cfitsio-3.400-fix-build.patch)
===================================================================
--- extra-i686/cfitsio-3.400-fix-build.patch	                        (rev 0)
+++ extra-i686/cfitsio-3.400-fix-build.patch	2016-11-22 22:47:33 UTC (rev 281962)
@@ -0,0 +1,38 @@
+--- a/speed.c	2016-11-22 22:43:25.336155948 +0000
++++ b/speed.c	2016-11-22 22:43:38.266122647 +0000
+@@ -457,7 +457,6 @@
+     double telapse;
+     time_t temp;
+     struct  timeval tv;
+-    struct  timezone tz;
+ 
+     temp = time(0);
+ 
+@@ -478,7 +477,7 @@
+         telapse = difftime( start, temp );
+     }
+ */
+-        gettimeofday (&tv, &tz);
++        gettimeofday (&tv, NULL);
+ 
+ 	startsec = tv.tv_sec;
+         startmilli = tv.tv_usec/1000;
+@@ -489,12 +488,11 @@
+ int gettime(double *elapse, float *elapscpu, int *status)
+ {
+         struct  timeval tv;
+-        struct  timezone tz;
+ 	int stopmilli;
+ 	long stopsec;
+ 
+ 
+-        gettimeofday (&tv, &tz);
++        gettimeofday (&tv, NULL);
+     ecpu = clock();
+     finish = time(0);
+ 
+@@ -509,3 +507,4 @@
+ 
+     return( *status );
+ }
++

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2016-11-22 22:47:05 UTC (rev 281961)
+++ extra-x86_64/PKGBUILD	2016-11-22 22:47:33 UTC (rev 281962)
@@ -1,41 +0,0 @@
-# $Id$
-# Maintainer:
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=cfitsio
-pkgver=3.390
-pkgrel=3
-pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
-arch=(i686 x86_64)
-url="http://heasarc.gsfc.nasa.gov/fitsio/"
-license=(custom)
-depends=(glibc)
-source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
-sha512sums=('9e72fe58e1b2e45dfad23c5a60f9056a4e958b3b567751c5284d5d89992f0a2721aa44ede8655f0e1595eaea9d6ba4644b001c54274764f9d05f890d471e4534')
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr \
-    --enable-reentrant
-  make shared
-  make utils
-}
-
-check() {
-  cd $pkgname
-  LD_LIBRARY_PATH=. ./testprog > testprog.lis
-  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
-  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 License.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-# Fix conflicts with ccfits and smem
-  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
-}

Copied: cfitsio/repos/extra-x86_64/PKGBUILD (from rev 281961, cfitsio/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2016-11-22 22:47:33 UTC (rev 281962)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.400
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=(i686 x86_64)
+url="http://heasarc.gsfc.nasa.gov/fitsio/"
+license=(custom)
+depends=(glibc)
+source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz" cfitsio-3.400-fix-build.patch)
+sha512sums=('e54efb5c7a5a19ae354b202644cf2fcac946997bc0d14a3dc0b609af8725050604df167b4211586868a90b1d5098c1efdf167d6ce842c79b494e154544f3441a'
+            '931579603417c55922d02cdcb9aec9deb79e3aca2c36e15e697e6c371749291aec52873f7bdc188f3a4aabe849655be4172b3edbcba1c529d5bfed265f26fc38')
+
+prepare() {
+  cd $pkgname
+  patch -p1 -i ../cfitsio-3.400-fix-build.patch
+}
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr \
+    --enable-reentrant
+  make shared
+  make utils
+}
+
+check() {
+  cd $pkgname
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 License.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+# Fix conflicts with ccfits and smem
+  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
+}

Copied: cfitsio/repos/extra-x86_64/cfitsio-3.400-fix-build.patch (from rev 281961, cfitsio/trunk/cfitsio-3.400-fix-build.patch)
===================================================================
--- extra-x86_64/cfitsio-3.400-fix-build.patch	                        (rev 0)
+++ extra-x86_64/cfitsio-3.400-fix-build.patch	2016-11-22 22:47:33 UTC (rev 281962)
@@ -0,0 +1,38 @@
+--- a/speed.c	2016-11-22 22:43:25.336155948 +0000
++++ b/speed.c	2016-11-22 22:43:38.266122647 +0000
+@@ -457,7 +457,6 @@
+     double telapse;
+     time_t temp;
+     struct  timeval tv;
+-    struct  timezone tz;
+ 
+     temp = time(0);
+ 
+@@ -478,7 +477,7 @@
+         telapse = difftime( start, temp );
+     }
+ */
+-        gettimeofday (&tv, &tz);
++        gettimeofday (&tv, NULL);
+ 
+ 	startsec = tv.tv_sec;
+         startmilli = tv.tv_usec/1000;
+@@ -489,12 +488,11 @@
+ int gettime(double *elapse, float *elapscpu, int *status)
+ {
+         struct  timeval tv;
+-        struct  timezone tz;
+ 	int stopmilli;
+ 	long stopsec;
+ 
+ 
+-        gettimeofday (&tv, &tz);
++        gettimeofday (&tv, NULL);
+     ecpu = clock();
+     finish = time(0);
+ 
+@@ -509,3 +507,4 @@
+ 
+     return( *status );
+ }
++



More information about the arch-commits mailing list